Bug 36178 - multiple issues with univention-printserver (4.0)
multiple issues with univention-printserver (4.0)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Printserver
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Arvid Requate
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 17:18 CEST by Felix Botner
Modified: 2014-11-26 06:53 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-10-15 17:18:13 CEST
* file backend is now disabled by default

* univention-cups-disable printer1
/usr/sbin/cupsdisable
printer1
 
cupsdisable: Operation failed: client-error-forbidden

* univention-lpadmin -u allow:all -o auth-info-required=none -p printer1 -m foomatic-rip/Alps-MD-1000-md2k.ppd -v file:/tmp/printer1 -E
lpadmin: Verboten
The command "/usr/sbin/lpadmin -u allow:all -o auth-info-required=none -p printer1 -m foomatic-rip/Alps-MD-1000-md2k.ppd -v file:/tmp/printer1 -E -h localhost" returned 1
Comment 1 Felix Botner univentionstaff 2014-10-16 10:57:33 CEST
(In reply to Felix Botner from comment #0)
> * file backend is now disabled by default
> 
> * univention-cups-disable printer1
> /usr/sbin/cupsdisable
> printer1
>  
> cupsdisable: Operation failed: client-error-forbidden
> 
> * univention-lpadmin -u allow:all -o auth-info-required=none -p printer1 -m
> foomatic-rip/Alps-MD-1000-md2k.ppd -v file:/tmp/printer1 -E
> lpadmin: Verboten
> The command "/usr/sbin/lpadmin -u allow:all -o auth-info-required=none -p
> printer1 -m foomatic-rip/Alps-MD-1000-md2k.ppd -v file:/tmp/printer1 -E -h
> localhost" returned 1

this is all fixed with Bug #33278

Only remaining problem is that cups looks in /usr/share/cups/model for ppd's, but all debian ppd package install the ppd files into /usr/share/ppd.

In UCS 3.2 we created a symlink from cups/model to ppd with debian.links, but now cups creates the /usr/share/cups/model directory.

univention-printserver.postinst now mv /usr/share/cups/model to /usr/share/cups/model.orig (if its a directory) and creates the symlink
Comment 2 Stefan Gohmann univentionstaff 2014-10-23 19:52:52 CEST
Can you please have a look at the test case for an updated system:

*** BEGIN *** ['/usr/bin/python', '41_check_ppd'] ***
*** 64_udm-printers/41_check_ppd *** Check PPD files ***
### FAIL ###
No PPD file found for LDAP printer "HP-Fax-hpcups.ppd"
###      ###
*** END *** 1 ***

http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/UCS%203.2%20to%204.0%20Autotest%20MultiEnv/SambaVersion=s3,Systemrolle=master/lastCompletedBuild/
Comment 3 Felix Botner univentionstaff 2014-10-24 09:31:52 CEST
univention-printserver has a dependency to printer-driver-all to install all the printer drivers. But printer-driver-all only recommends the driver packages, so i guess the packages have been moved to unmaintained and were not installed.

Added all printer-driver packages as dependency to univention-printserver.
Comment 4 Arvid Requate univentionstaff 2014-11-05 12:36:49 CET
Ok, changelog as well.
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:53:56 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".